DBIx::SearchBuilder::Handle::Informix(3pm)

NAME
  DBIx::SearchBuilder::Handle::Informix - An Informix specific Handle object

SYNOPSIS

DESCRIPTION
This module provides a subclass of DBIx::SearchBuilder::Handle that compensates for some of the idiosyncrasies of Informix.

METHODS

  Insert
Takes a table name as the first argument and assumes that the rest of the arguments are an array of key-value pairs to be inserted.

If the insert succeeds, returns the id of the insert, otherwise, returns a Class::ReturnValue object with the error reported.

  CaseSensitive
Returns 1, since Informix's searches are case sensitive by default

  BuildDSN
Builder for Informix DSNs.

  ApplyLimits STATEMENTREF ROWS_PER_PAGE FIRST_ROW
takes an SQL SELECT statement and massages it to return ROWS_PER_PAGE starting with FIRST_ROW;

  DistinctQuery STATEMENTREF
takes an incomplete SQL SELECT statement and massages it to return a DISTINCT result set.